Activity log for bug #2009859

Date Who What changed Old value New value Message
2023-03-09 15:38:32 Nick Rosbrook bug added bug
2023-03-09 15:38:32 Nick Rosbrook attachment added journal.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653247/+files/journal.txt
2023-03-09 15:38:41 Nick Rosbrook nominated for series Ubuntu Kinetic
2023-03-09 15:38:41 Nick Rosbrook bug task added systemd (Ubuntu Kinetic)
2023-03-09 15:38:57 Nick Rosbrook systemd (Ubuntu): status New Invalid
2023-03-09 15:39:09 Nick Rosbrook bug task added linux (Ubuntu)
2023-03-09 15:39:58 Nick Rosbrook summary systemd: test-networkd.py fails with newer kinetic kernels systemd: networkd-test.py fails with newer kinetic kernels
2023-03-09 16:00:08 Ubuntu Kernel Bot linux (Ubuntu): status New Incomplete
2023-03-09 16:00:09 Ubuntu Kernel Bot linux (Ubuntu Kinetic): status New Incomplete
2023-03-09 17:05:54 Nick Rosbrook tags apport-collected kinetic
2023-03-09 17:05:55 Nick Rosbrook description systemd autopkgtests are failing in kinetic, and they are not considered regressions. The failing test is one within networkd-test.py: ====================================================================== ERROR: test_resolved_domain_restricted_dns (__main__.DnsmasqClientTest) resolved: domain-restricted DNS servers ---------------------------------------------------------------------- Traceback (most recent call last): File "/tmp/autopkgtest.wTrLDQ/build.Oa5/src/test/networkd-test.py", line 680, in test_resolved_domain_restricted_dns out = subprocess.check_output(['resolvectl', 'query', 'math.lab']) File "/usr/lib/python3.10/subprocess.py", line 420, in check_output return run(*popenargs, stdout=PIPE, timeout=timeout, check=True, File "/usr/lib/python3.10/subprocess.py", line 524, in run raise CalledProcessError(retcode, process.args, subprocess.CalledProcessError: Command '['resolvectl', 'query', 'math.lab']' returned non-zero exit status 1. ---------------------------------------------------------------------- Ran 35 tests in 161.770s FAILED (errors=1, skipped=2) The failures started without any changes to the systemd package, i.e. it was caused by another package upload. In particular, the failures started around 2022-11-17 with linux 5.19.0-24.25. The tests pass fine with linux 5.19.0-21.21, i.e. the version in kinetic-release. This can be demonstrated locally with autopkgtest: $ autopkgtest --shell-fail systemd --test-name networkd-test.py --pin-packages=kinetic=src:linux --setup-commands 'apt update' -- qemu /home/nr/ubuntu/autopkgtest-testbeds/autopkgtest-kinetic-amd64.img Note in the above command I did not pass -U, so no packages in the test bed are upgraded. But, with: $ autopkgtest --shell-fail systemd --test-name networkd-test.py -U -- qemu /home/nr/ubuntu/autopkgtest-testbeds/autopkgtest-kinetic-amd64.img the kernel is upgraded, and the test fails. This can also be done manually by grabbing the systemd source on a kinetic machine (e.g. pull-lp-source systemd kinetic), and running: $ sudo python3 test/networkd-test.py DnsmasqClientTest.test_resolved_domain_restricted_dns The attached journal.txt shows systemd-resolved logs from when the test is run. The failure is caused by the EHOSTUNREACH when trying to resolve math.lab. systemd autopkgtests are failing in kinetic, and they are not considered regressions. The failing test is one within networkd-test.py: ====================================================================== ERROR: test_resolved_domain_restricted_dns (__main__.DnsmasqClientTest) resolved: domain-restricted DNS servers ---------------------------------------------------------------------- Traceback (most recent call last): File "/tmp/autopkgtest.wTrLDQ/build.Oa5/src/test/networkd-test.py", line 680, in test_resolved_domain_restricted_dns out = subprocess.check_output(['resolvectl', 'query', 'math.lab']) File "/usr/lib/python3.10/subprocess.py", line 420, in check_output return run(*popenargs, stdout=PIPE, timeout=timeout, check=True, File "/usr/lib/python3.10/subprocess.py", line 524, in run raise CalledProcessError(retcode, process.args, subprocess.CalledProcessError: Command '['resolvectl', 'query', 'math.lab']' returned non-zero exit status 1. ---------------------------------------------------------------------- Ran 35 tests in 161.770s FAILED (errors=1, skipped=2) The failures started without any changes to the systemd package, i.e. it was caused by another package upload. In particular, the failures started around 2022-11-17 with linux 5.19.0-24.25. The tests pass fine with linux 5.19.0-21.21, i.e. the version in kinetic-release. This can be demonstrated locally with autopkgtest: $ autopkgtest --shell-fail systemd --test-name networkd-test.py --pin-packages=kinetic=src:linux --setup-commands 'apt update' -- qemu /home/nr/ubuntu/autopkgtest-testbeds/autopkgtest-kinetic-amd64.img Note in the above command I did not pass -U, so no packages in the test bed are upgraded. But, with: $ autopkgtest --shell-fail systemd --test-name networkd-test.py -U -- qemu /home/nr/ubuntu/autopkgtest-testbeds/autopkgtest-kinetic-amd64.img the kernel is upgraded, and the test fails. This can also be done manually by grabbing the systemd source on a kinetic machine (e.g. pull-lp-source systemd kinetic), and running: $ sudo python3 test/networkd-test.py DnsmasqClientTest.test_resolved_domain_restricted_dns The attached journal.txt shows systemd-resolved logs from when the test is run. The failure is caused by the EHOSTUNREACH when trying to resolve math.lab. --- ProblemType: Bug AlsaDevices: total 0 crw-rw---- 1 root audio 116, 1 Mar 9 11:56 seq crw-rw---- 1 root audio 116, 33 Mar 9 11:56 timer AplayDevices: Error: [Errno 2] No such file or directory: 'aplay' ApportVersion: 2.23.1-0ubuntu3 Architecture: amd64 ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord' AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1: CRDA: N/A CasperMD5CheckResult: unknown DistroRelease: Ubuntu 22.10 IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig' Lsusb: Error: command ['lsusb'] failed with exit code 1: Lsusb-t: Lsusb-v: Error: command ['lsusb', '-v'] failed with exit code 1: MachineType: QEMU Standard PC (i440FX + PIIX, 1996) Package: linux (not installed) PciMultimedia: ProcEnviron: TERM=xterm-256color PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcFB: 0 bochs-drmdrmfb ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.19.0-35-generic root=UUID=7f0aa1bf-59bd-4d77-b092-7244f86e5566 ro console=tty0 console=hvc0 console=ttyS0 ProcVersionSignature: Ubuntu 5.19.0-35.36-generic 5.19.17 RelatedPackageVersions: linux-restricted-modules-5.19.0-35-generic N/A linux-backports-modules-5.19.0-35-generic N/A linux-firmware 20220923.gitf09bebf3-0ubuntu1.4 RfKill: Error: [Errno 2] No such file or directory: 'rfkill' Tags: kinetic Uname: Linux 5.19.0-35-generic x86_64 UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: N/A _MarkForUpload: True dmi.bios.date: 04/01/2014 dmi.bios.release: 0.0 dmi.bios.vendor: SeaBIOS dmi.bios.version: 1.16.0-debian-1.16.0-4 dmi.chassis.type: 1 dmi.chassis.vendor: QEMU dmi.chassis.version: pc-i440fx-kinetic dmi.modalias: dmi:bvnSeaBIOS:bvr1.16.0-debian-1.16.0-4:bd04/01/2014:br0.0:svnQEMU:pnStandardPC(i440FX+PIIX,1996):pvrpc-i440fx-kinetic:cvnQEMU:ct1:cvrpc-i440fx-kinetic:sku: dmi.product.name: Standard PC (i440FX + PIIX, 1996) dmi.product.version: pc-i440fx-kinetic dmi.sys.vendor: QEMU
2023-03-09 17:05:56 Nick Rosbrook attachment added CurrentDmesg.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653257/+files/CurrentDmesg.txt
2023-03-09 17:05:58 Nick Rosbrook attachment added Lspci.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653258/+files/Lspci.txt
2023-03-09 17:05:59 Nick Rosbrook attachment added Lspci-vt.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653259/+files/Lspci-vt.txt
2023-03-09 17:06:01 Nick Rosbrook attachment added ProcCpuinfo.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653260/+files/ProcCpuinfo.txt
2023-03-09 17:06:03 Nick Rosbrook attachment added ProcCpuinfoMinimal.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653261/+files/ProcCpuinfoMinimal.txt
2023-03-09 17:06:04 Nick Rosbrook attachment added ProcInterrupts.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653262/+files/ProcInterrupts.txt
2023-03-09 17:06:06 Nick Rosbrook attachment added ProcModules.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653263/+files/ProcModules.txt
2023-03-09 17:06:07 Nick Rosbrook attachment added UdevDb.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653264/+files/UdevDb.txt
2023-03-09 17:06:09 Nick Rosbrook attachment added WifiSyslog.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653265/+files/WifiSyslog.txt
2023-03-09 17:06:10 Nick Rosbrook attachment added acpidump.txt https://bugs.launchpad.net/bugs/2009859/+attachment/5653266/+files/acpidump.txt
2023-03-09 17:07:06 Nick Rosbrook linux (Ubuntu Kinetic): status Incomplete Confirmed
2023-03-09 17:07:09 Nick Rosbrook linux (Ubuntu): status Incomplete Confirmed
2023-06-08 08:52:26 Andrei Gherzan tags apport-collected kinetic apport-collected kinetic sru-20230515
2023-06-08 13:54:28 Launchpad Janitor systemd (Ubuntu Kinetic): status New Confirmed